Texas Tech University: Office of Research Services

July 11, 2013

CAYUSE: Firefox v22 Incompatibility Issue

The following information about Cayuse incompatibility with Firefox V22 was received from the Cayuse Support Center.

We have recently been made aware of an incompatibility issue with Mozilla Firefox 22.0, which was released on June 25th. If you have upgraded your browser to Firefox 22.0 in the last two weeks, you may experience problems working in Cayuse 424. Specifically, some users have reported problems with clicking on subaward proposals, switching between tabs, creating proposals and logging out of the application.

Our development team has already been made aware of the issue and are hard at work on a solution. In the meantime, we recommend that you do not upgrade to Firefox 22.0. If you have already upgraded, please follow the instructions we have included below to downgrade your browser. Please do not click About Firefox under the Help menu as that will cause the update to download regardless of your settings. You can also continue to use Microsoft Internet Explorer as an alternative to Firefox.

Downgrading Firefox on a Windows computer:

You’ll also want to disable automatic updates. To do so, just follow these steps:

Downgrading Firefox on a Mac:

You'll also want to disable automatic updates. To do so, just follow these steps:

We will continue to monitor updates and pass them along when the issue has been resolved.

Office of Research Services

Office of Research Services
349 Administration
Box 41035 | MS 1035
Lubbock, TX 79409-1035
(806) 742-3884 ofc | (806) 742-3892 fax
Webmaster